Subject: bug#21746: 24.5; purpose of dired-keep-marker-copy?

From: "Roland Winkler" <[email-masked]>
Date: Fri, 23 Oct 2015 14:44:08 -0500

While I have used emacs for many years, I have never figured out a
reason why copying a file in dired gives the copied file a marker
`C'.  So today I wanted to find out, but I failed: the docstring of
dired-do-copy does not explain it, dired-keep-marker-copy does not
explain it, and in the emacs info manual I could not find anything
useful either.  What is the purpose of this feature?  It appears to
me that it is a feature for experts which is at best distracting for
ordinary users.  I suggest: either explain it somewhere that is not
too hard to find or give dired-keep-marker-copy a default value of
nil (and similar for dired-keep-marker-hardlink,
dired-keep-marker-symlink).

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2015-05-27 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Ubuntu 14.04.3 LTS